CREATE TABLE OOBJ_CTE_INFCTE (
  id_infcte            NUMBER(10) NOT NULL,
  id_cte               NUMBER(10) NOT NULL,
  cteNormCargaVCarga   NUMBER(15,2),
  cteNormCargaProPred  VARCHAR2(100),
  cteNormCargaXOutCat  VARCHAR2(100),
  aeroNMinu            VARCHAR2(20),
  aeroNOCA             VARCHAR2(20),
  aeroDPrev            DATE,
  aeroXLAgEmi          VARCHAR2(20),
  aeroIdT              VARCHAR2(20),
  aeroTarifaCL         NUMBER(15,2),
  aeroTarifaCTar       NUMBER(15,2),
  aeroTarifaVTar       NUMBER(15,2),
  aeroNatCargaXDime    VARCHAR2(20),
  aeroNatCargaCInfManu VARCHAR2(20),
  aeroNatCargaCIMP     VARCHAR2(20),
  aquavVPrest          NUMBER(15,2),
  aquavVAFRMM          NUMBER(15,2),
  aquavNBooking        VARCHAR2(20),
  aquavNCtrl           VARCHAR2(20),
  aquavXNavio          VARCHAR2(50),
  aquavXBalsa          VARCHAR2(50),
  aquavNViag           NUMBER(10),
  aquavDirec           VARCHAR2(20),
  aquavPrtEmb          VARCHAR2(50),
  aquavPrtTrans        VARCHAR2(50),
  aquavPrtDest         VARCHAR2(50),
  aquavTpNav           VARCHAR2(20),
  aquavIrin            VARCHAR2(20),
  dutoVTar             NUMBER(15,2),
  dutoDIni             DATE,
  dutoDFim             DATE,
  ferrovTpTraf         VARCHAR2(20),
  ferrovTrafMutRespFat VARCHAR2(20),
  ferrovTrafMutFerrEmi VARCHAR2(20),
  ferrovFluxo          VARCHAR2(20),
  ferrovIdTrem         VARCHAR2(50),
  ferrovVFrete         NUMBER(15,2),
  rodoRNTRC            VARCHAR2(20),
  rodoDPrev            DATE,
  rodoLota             VARCHAR2(20),
  rodoCIOT             VARCHAR2(20),
  rodoLacre            VARCHAR2(20),
  multiModalCotm       VARCHAR2(20),
  multiModalIndNegociavel VARCHAR2(20),
  fatNFat              VARCHAR2(20),
  fatVOrig             NUMBER(15,2),
  fatVDesc             NUMBER(15,2),
  fatVLiq              NUMBER(15,2),
  infCteSubChCte       VARCHAR2(44),
  infCteSubRefNFe      VARCHAR2(44),
  infCteSubRefNFCNPJ   VARCHAR2(14),
  infCteSubRefNFMod    VARCHAR2(2),
  infCteSubRefNFSerie  VARCHAR2(3),
  infCteSubRefNFSubserie VARCHAR2(3),
  infCteSubRefNFNro    VARCHAR2(9),
  infCteSubRefNFValor  NUMBER(15,2),
  infCteSubRefNFDEmi   DATE,
  infCteSubRefCTe      VARCHAR2(44),
  infCteSubRefCteAnu   VARCHAR2(44),
  infCteSubIndAlteraToma VARCHAR2(10),
  cteCompChave VARCHAR2(50),
  cteAnuChaveCTe VARCHAR2(50),
  cteAnuDEmi DATE
);
