--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_EVENTOS
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" 
   (	"ID_EVENTO" NUMBER(19,0), 
	"VERSAOEVENTO" VARCHAR2(10 CHAR), 
	"CORGAO" NUMBER(10,0), 
	"TPAMB" NUMBER(10,0), 
	"AUTOREVENTO" VARCHAR2(100 CHAR), 
	"CHCTE" VARCHAR2(100 CHAR), 
	"DHEVENTO" TIMESTAMP (6), 
	"TPEVENTO" NUMBER(10,0), 
	"NSEQEVENTO" NUMBER(10,0), 
	"CANCNPROT" VARCHAR2(100 CHAR), 
	"CANCXJUST" VARCHAR2(500 CHAR), 
	"REGMMODALXREGISTRO" VARCHAR2(2000 CHAR), 
	"REGMMODALNDOC" VARCHAR2(100 CHAR), 
	"EPECXJUST" VARCHAR2(100 CHAR), 
	"EPECVICMS" NUMBER(17,3), 
	"EPECVTPREST" NUMBER(17,3), 
	"EPECVCARGA" NUMBER(17,3), 
	"EPECTOMA" NUMBER(10,0), 
	"EPECTOMAUF" VARCHAR2(10 CHAR), 
	"EPECTOMACPFCNPJ" VARCHAR2(20 CHAR), 
	"EPECTOMAIE" VARCHAR2(100 CHAR), 
	"EPECMODAL" NUMBER(10,0), 
	"EPECUFINI" VARCHAR2(10 CHAR), 
	"EPECUFFIM" VARCHAR2(10 CHAR), 
	"STATUS_EXTRAIDO" NUMBER(1,0) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_EVENTOS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" ("ID_EVENTO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_EVENTOS_IX_CH_CTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_EVENTOS_IX_CH_CTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" ("CHCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_EVENTOS
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" ADD CONSTRAINT "OOBJ_CTE_EVENTOS_PK" PRIMARY KEY ("ID_EVENTO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" MODIFY ("NSEQEVENTO" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" MODIFY ("TPEVENTO" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" MODIFY ("TPAMB" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" MODIFY ("CORGAO" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" MODIFY ("ID_EVENTO" NOT NULL ENABLE);
