--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE_DOC_ANT_IDENT
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" 
   (	"ID_IDENTDOCANT" NUMBER(19,0), 
	"ID_DOCANT" NUMBER(19,0), 
	"DOCPAPTPDOC" CHAR(2 CHAR), 
	"DOCPAPSERIE" NUMBER(5,0), 
	"DOCPAPSUBSER" NUMBER(5,0), 
	"DOCPAPNDOC" VARCHAR2(20 CHAR), 
	"DOCPAPDEMI" TIMESTAMP (6), 
	"DOCELECHAVE" VARCHAR2(44 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_DOC_ANT_I_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_I_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" ("ID_IDENTDOCANT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_IDENT_IX_ID_DOC_ANT
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_IDENT_IX_ID_DOC_ANT" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" ("ID_DOCANT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE_DOC_ANT_IDENT
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" ADD CONSTRAINT "OOBJ_CTE_INFCTE_DOC_ANT_I_PK" PRIMARY KEY ("ID_IDENTDOCANT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" MODIFY ("ID_DOCANT" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" MODIFY ("ID_IDENTDOCANT" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE_DOC_ANT_IDENT
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT_IDENT" ADD CONSTRAINT "OOBJ_CTE_DOC_ANT_FK" FOREIGN KEY ("ID_DOCANT")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_DOC_ANT" ("ID_DOCANT") ENABLE;
