--------------------------------------------------------
--  Arquivo criado - Quarta-feira-Setembro-17-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE_PERI
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" 
   (	"ID_PERI" NUMBER(19,0), 
	"ID_INFCTE" NUMBER(19,0), 
	"NONU" VARCHAR2(100 CHAR), 
	"XNOMEAE" VARCHAR2(200 CHAR), 
	"XCLARISCO" VARCHAR2(40 CHAR), 
	"GREMB" VARCHAR2(10 CHAR), 
	"QTOTPROD" VARCHAR2(20 CHAR), 
	"QVOLTIPO" VARCHAR2(60 CHAR), 
	"PONTOFULGOR" VARCHAR2(6 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_PERI_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" ("ID_PERI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_INFCTE_PERI_IX_ID_INFCTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_INFCTE_PERI_IX_ID_INFCTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" ("ID_INFCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE_PERI
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" ADD CONSTRAINT "OOBJ_CTE_INFCTE_PERI_PK" PRIMARY KEY ("ID_PERI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" MODIFY ("ID_INFCTE" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" MODIFY ("ID_PERI" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE_PERI
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PERI" ADD CONSTRAINT "OOBJ_CTE_INFCTE_PERI_OOBJ_FK1" FOREIGN KEY ("ID_INFCTE")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_INFCTE") ENABLE;
