--------------------------------------------------------
--  Arquivo criado - Quarta-feira-Setembro-17-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE_RODO_VALEPED
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" 
   (	"ID_VAL" NUMBER(19,0), 
	"ID_INFCTE" NUMBER(19,0), 
	"CNPJFORN" VARCHAR2(14 CHAR), 
	"NCOMPRA" VARCHAR2(30 CHAR), 
	"CNPJPG" VARCHAR2(14 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_RODO_VALE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALE_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" ("ID_VAL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_RODO_VALEPED_IX_ID_INFCTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_RODO_VALEPED_IX_ID_INFCTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" ("ID_INFCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE_RODO_VALEPED
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" ADD CONSTRAINT "OOBJ_CTE_INFCTE_RODO_VALE_PK" PRIMARY KEY ("ID_VAL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" MODIFY ("ID_INFCTE" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" MODIFY ("ID_VAL" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE_RODO_VALEPED
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VALEPED" ADD CONSTRAINT "OOBJ_CTE_INFCTE_RODO_VALE_FK1" FOREIGN KEY ("ID_INFCTE")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_INFCTE") ENABLE;
