--------------------------------------------------------
--  Arquivo criado - Quarta-feira-Setembro-17-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE_RODO_VEIC
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" 
   (	"ID_VEIC" NUMBER(19,0), 
	"ID_INFCTE" NUMBER(19,0), 
	"VEICCINT" VARCHAR2(20 CHAR), 
	"VEICRENAVAM" VARCHAR2(15 CHAR), 
	"VEICPLACA" VARCHAR2(10 CHAR), 
	"VEICTARA" NUMBER(10,0), 
	"VEICCAPKG" NUMBER(10,0), 
	"VEICCAPM3" NUMBER(10,0), 
	"VEICTPPROP" CHAR(1 CHAR), 
	"VEICTPVEIC" CHAR(1 CHAR), 
	"VEICTPROD" CHAR(2 CHAR), 
	"VEICTPCAR" CHAR(2 CHAR), 
	"VEICUF" CHAR(2 CHAR), 
	"PROPCPF" VARCHAR2(11 CHAR), 
	"PROPCNPJ" VARCHAR2(14 CHAR), 
	"PROPRNTRC" VARCHAR2(20 CHAR), 
	"PROPXNOME" VARCHAR2(60 CHAR), 
	"PROPIE" VARCHAR2(20 CHAR), 
	"PROPUF" CHAR(2 CHAR), 
	"PROPTPPROP" NUMBER(5,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_RODO_VEIC_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" ("ID_VEIC") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_RODO_VEIC_IX_ID_INFCTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_RODO_VEIC_IX_ID_INFCTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" ("ID_INFCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE_RODO_VEIC
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" ADD CONSTRAINT "OOBJ_CTE_INFCTE_RODO_VEIC_PK" PRIMARY KEY ("ID_VEIC")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" MODIFY ("ID_INFCTE" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" MODIFY ("ID_VEIC" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE_RODO_VEIC
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_RODO_VEIC" ADD CONSTRAINT "OOBJ_CTE_INFCTE_RODO_VEIC_FK1" FOREIGN KEY ("ID_INFCTE")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_INFCTE") ENABLE;
