--------------------------------------------------------
--  Arquivo criado - Quarta-feira-Setembro-17-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE_VEICNOVOS
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" 
   (	"ID_VEIC" NUMBER(19,0), 
	"ID_INFCTE" NUMBER(19,0), 
	"CHASSI" VARCHAR2(20 CHAR), 
	"CCOR" VARCHAR2(5 CHAR), 
	"XCOR" VARCHAR2(40 CHAR), 
	"CMOD" VARCHAR2(10 CHAR), 
	"VUNIT" NUMBER(17,3), 
	"VFRETE" NUMBER(17,3)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_VEICNOVOS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" ("ID_VEIC") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_VEIC_NOVOS_IX_ID_INFCTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_VEIC_NOVOS_IX_ID_INFCTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" ("ID_INFCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE_VEICNOVOS
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" ADD CONSTRAINT "OOBJ_CTE_INFCTE_VEICNOVOS_PK" PRIMARY KEY ("ID_VEIC")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" MODIFY ("ID_INFCTE" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" MODIFY ("ID_VEIC" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE_VEICNOVOS
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_VEICNOVOS" ADD CONSTRAINT "OOBJ_CTE_INFCTE_VEICNOVOS_FK1" FOREIGN KEY ("ID_INFCTE")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_INFCTE") ENABLE;
