--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFDOC_INF_DF
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" 
   (	"ID_INFDF" NUMBER(19,0), 
	"ID_INFDOC" NUMBER(19,0), 
	"NROMA" VARCHAR2(20 CHAR), 
	"NPED" VARCHAR2(20 CHAR), 
	"MOD" NUMBER(5,0), 
	"SERIE" NUMBER(5,0), 
	"VBC" NUMBER(17,3), 
	"VICMS" NUMBER(17,3), 
	"VBCST" NUMBER(17,3), 
	"VST" NUMBER(17,3), 
	"VPROD" NUMBER(17,3), 
	"VNF" NUMBER(17,3), 
	"NCFOP" NUMBER(10,0), 
	"NPESO" NUMBER(17,3), 
	"CHAVE" VARCHAR2(44 CHAR), 
	"TPDOC" NUMBER(5,0), 
	"DESCOUTROS" VARCHAR2(100 CHAR), 
	"VDOCFISC" NUMBER(17,3), 
	"NDOC" NUMBER(5,0), 
	"DEMI" TIMESTAMP (6), 
	"PIN" NUMBER(10,0), 
	"DPREV" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFDOC_INF_DF_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ("ID_INFDF") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_INF_DF_IX_ID_INFDOC
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_INF_DF_IX_ID_INFDOC" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ("ID_INFDOC") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFDOC_INF_DF
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ADD CONSTRAINT "OOBJ_CTE_INFDOC_INF_DF_PK" PRIMARY KEY ("ID_INFDF")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" MODIFY ("ID_INFDOC" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" MODIFY ("ID_INFDF" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFDOC_INF_DF
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ADD CONSTRAINT "OOBJ_CTE_INF_DOC_FK" FOREIGN KEY ("ID_INFDOC")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC" ("ID_INFDOC") ENABLE;
