--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INF_UNID_CARGA
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" 
   (	"ID_INFUNIDCARGA" NUMBER(19,0), 
	"ID_INFUNIDTRANSP" NUMBER(19,0), 
	"ID_INFDF" NUMBER(19,0), 
	"TPUNIDCARGA" NUMBER(5,0), 
	"IDUNIDCARGA" VARCHAR2(20 CHAR), 
	"LACUNIDCARGA" VARCHAR2(4000 CHAR), 
	"QTDRAT" NUMBER(5,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INF_UNID_CARGA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ("ID_INFUNIDCARGA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_UNID_CARGA_IX_ID_DF
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_UNID_CARGA_IX_ID_DF" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ("ID_INFDF") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_UNID_CARGA_IX_ID_TRANSP
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_UNID_CARGA_IX_ID_TRANSP" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ("ID_INFUNIDTRANSP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INF_UNID_CARGA
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ADD CONSTRAINT "OOBJ_CTE_INF_UNID_CARGA_PK" PRIMARY KEY ("ID_INFUNIDCARGA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" MODIFY ("ID_INFUNIDTRANSP" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" MODIFY ("ID_INFUNIDCARGA" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INF_UNID_CARGA
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ADD CONSTRAINT "OOBJ_CTE_CARGA_INF_DF_FK" FOREIGN KEY ("ID_INFDF")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ("ID_INFDF") ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_CARGA" ADD CONSTRAINT "OOBJ_CTE_TRANSP_FK" FOREIGN KEY ("ID_INFUNIDTRANSP")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" ("ID_INFUNIDTRANSP") ENABLE;
