--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INF_UNID_TRANSP
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" 
   (	"ID_INFUNIDTRANSP" NUMBER(19,0), 
	"ID_INFDF" NUMBER(19,0), 
	"TPUNIDTRANSP" NUMBER(5,0), 
	"IDUNIDTRANSP" VARCHAR2(20 CHAR), 
	"LACUNIDTRANSP" VARCHAR2(4000 CHAR), 
	"QTDRAT" NUMBER(5,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INF_UNID_TRANSP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" ("ID_INFUNIDTRANSP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_UNID_TRANSP_IX_ID_DF
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_UNID_TRANSP_IX_ID_DF" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" ("ID_INFDF") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INF_UNID_TRANSP
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" ADD CONSTRAINT "OOBJ_CTE_INF_UNID_TRANSP_PK" PRIMARY KEY ("ID_INFUNIDTRANSP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" MODIFY ("ID_INFUNIDTRANSP" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INF_UNID_TRANSP
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INF_UNID_TRANSP" ADD CONSTRAINT "OOBJ_CTE_INF_DF_FK" FOREIGN KEY ("ID_INFDF")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFDOC_INF_DF" ("ID_INFDF") ENABLE;
