--------------------------------------------------------
--  Arquivo criado - Quarta-feira-Setembro-17-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INUTILIZACAO
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INUTILIZACAO" 
   (	"ID_INUT" NUMBER(19,0), 
	"TPAMB" NUMBER(10,0), 
	"CUF" VARCHAR2(2 CHAR), 
	"ANO" NUMBER(5,0), 
	"CNPJ" VARCHAR2(14 CHAR), 
	"SERIE" NUMBER(5,0), 
	"NCTINI" VARCHAR2(10 CHAR), 
	"NCTFIN" VARCHAR2(10 CHAR), 
	"XJUST" VARCHAR2(500 CHAR), 
	"STATUS_EXTRAIDO" NUMBER(1,0) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INUTILIZACAO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INUTILIZACAO_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INUTILIZACAO" ("ID_INUT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INUTILIZACAO
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INUTILIZACAO" ADD CONSTRAINT "OOBJ_CTE_INUTILIZACAO_PK" PRIMARY KEY ("ID_INUT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INUTILIZACAO" MODIFY ("ID_INUT" NOT NULL ENABLE);
