--------------------------------------------------------
--  Arquivo criado - Quinta-feira-Setembro-11-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_RET_CANC
--------------------------------------------------------

  CREATE TABLE "DBO"."OOBJ_CTE_RET_CANC" 
   (	"ID_RET_CANC" NUMBER(19,0), 
	"CUF" NUMBER(10,0), 
	"NPROT" NUMBER(19,0), 
	"XMOTIVO" VARCHAR2(2048 CHAR), 
	"CHCTE" VARCHAR2(44 CHAR), 
	"CSTAT" NUMBER(10,0), 
	"ID_CANC" NUMBER(19,0), 
	"VERAPLIC" VARCHAR2(255 CHAR), 
	"DHRECBTO" TIMESTAMP (6), 
	"DHRETORNO" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SYS_C009950
--------------------------------------------------------

  CREATE UNIQUE INDEX "DBO"."SYS_C009950" ON "DBO"."OOBJ_CTE_RET_CANC" ("ID_RET_CANC") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_RET_CANC
--------------------------------------------------------

  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" ADD PRIMARY KEY ("ID_RET_CANC")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" MODIFY ("DHRETORNO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" MODIFY ("ID_CANC" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" MODIFY ("CSTAT" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" MODIFY ("XMOTIVO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_CANC" MODIFY ("ID_RET_CANC" NOT NULL ENABLE);
