--------------------------------------------------------
--  Arquivo criado - Quinta-feira-Setembro-11-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_RET_INUT
--------------------------------------------------------

  CREATE TABLE "DBO"."OOBJ_CTE_RET_INUT" 
   (	"ID_RET_INUT" NUMBER(19,0), 
	"NPROT" NUMBER(19,0), 
	"XMOTIVO" VARCHAR2(2048 CHAR), 
	"CSTAT" NUMBER(10,0), 
	"ID_INUT" NUMBER(19,0), 
	"DHRECBTO" TIMESTAMP (6), 
	"DHRETORNO" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SYS_C009956
--------------------------------------------------------

  CREATE UNIQUE INDEX "DBO"."SYS_C009956" ON "DBO"."OOBJ_CTE_RET_INUT" ("ID_RET_INUT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_RET_INUT
--------------------------------------------------------

  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" ADD PRIMARY KEY ("ID_RET_INUT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" MODIFY ("DHRETORNO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" MODIFY ("ID_INUT" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" MODIFY ("CSTAT" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" MODIFY ("XMOTIVO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RET_INUT" MODIFY ("ID_RET_INUT" NOT NULL ENABLE);
