﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_envio]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_envio](
	[id_cte] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[cuf] [int] NOT NULL,
	[cct] [char](8) NULL,
	[cfop] [char](4) NOT NULL,
	[natop] [varchar](60) NOT NULL,
	[forpag] [char](1) NOT NULL,
	[mod] [char](2) NULL,
	[serie] [int] NOT NULL,
	[nct] [int] NOT NULL,
	[dhemi] [datetime] NOT NULL,
	[tpimp] [char](1) NOT NULL,
	[tpemis] [char](1) NOT NULL,
	[cdv] [int] NULL,
	[tpamb] [char](1) NULL,
	[tpcte] [char](1) NOT NULL,
	[refcte] [char](44) NULL,
	[cmunenv] [char](7) NOT NULL,
	[xmunenv] [varchar](60) NOT NULL,
	[ufenv] [char](2) NOT NULL,
	[modal] [char](2) NOT NULL,
	[tpserv] [char](1) NOT NULL,
	[cmunini] [char](7) NOT NULL,
	[xmunini] [varchar](60) NOT NULL,
	[ufini] [char](2) NOT NULL,
	[cmunfim] [char](7) NOT NULL,
	[xmunfim] [varchar](60) NOT NULL,
	[uffim] [char](2) NOT NULL,
	[retira] [bit] NOT NULL,
	[xdetretira] [varchar](160) NULL,
	[toma] [char](1) not NULL,
	[tomacpfcnpj] [varchar](14) NULL,
	[tomaie] [varchar](14) NULL,
	[tomaxnome] [varchar](60) NULL,
	[tomaxfant] [varchar](60) NULL,
	[tomaemail] [varchar](60) NULL,
	[tomafone] [varchar](12) NULL,
	[tomaxlgr] [varchar](60) NULL,
	[tomanro] [varchar](60) NULL,
	[tomaxcpl] [varchar](60) NULL,
	[tomaxbairro] [varchar](60) NULL,
	[tomacmun] [varchar](7) NULL,
	[tomaxmun] [varchar](60) NULL,
	[tomacep] [char](8) NULL,
	[tomauf] [char](2) NULL,
	[tomacpais] [char](4) NULL,
	[tomaxpais] [varchar](60) NULL,
	[dhcont] [datetime] NULL,
	[xjust] [varchar](256) NULL,
	[listaemails] [varchar](255) NULL,
	[enviardacteemail] [bit] NULL,
	[complxcaracad] [varchar](13) NULL,
	[complxcaracser] [varchar](30) NULL,
	[complxemi] [varchar](20) NULL,
	[complfluxxorig] [varchar](15) NULL,
	[complfluxpass] [varchar](2500) NULL,
	[complfluxxdest] [varchar](15) NULL,
	[complfluxxrota] [varchar](10) NULL,
	[complorigcalc] [varchar](40) NULL,
	[compldestcalc] [varchar](40) NULL,
	[complxobs] [varchar](2000) NULL,
	[complenttpper] [char](1) NULL,
	[complentdprog] [datetime] NULL,
	[complentdini] [datetime] NULL,
	[complentdfim] [datetime] NULL,
	[complenttphor] [char](1) NULL,
	[complenthprog] [datetime] NULL,
	[complenthini] [datetime] NULL,
	[complenthfim] [datetime] NULL,
	[emitcnpj] [char](14) NOT NULL,
	[emitie] [varchar](14) NOT NULL,
	[emitxnome] [varchar](60) NOT NULL,
	[emitxfant] [varchar](60) NULL,
	[emitxlgr] [varchar](60) NOT NULL,
	[emitnro] [varchar](60) NOT NULL,
	[emitxcpl] [varchar](60) NULL,
	[emitxbairro] [varchar](60) NOT NULL,
	[emitcmun] [char](7) NOT NULL,
	[emitxmun] [varchar](60) NOT NULL,
	[emitcep] [char](8) NULL,
	[emituf] [char](2) NOT NULL,
	[emitfone] [varchar](12) NULL,
	[remcnpj] [char](14) NULL,
	[remcpf] [char](11) NULL,
	[remie] [varchar](14) NULL,
	[remxnome] [varchar](60) NULL,
	[remxfant] [varchar](60) NULL,
	[remfone] [varchar](12) NULL,
	[rememail] [varchar](60) NULL,
	[remxlgr] [varchar](60) NULL,
	[remnro] [varchar](60) NULL,
	[remxcpl] [varchar](60) NULL,
	[remxbairro] [varchar](60) NULL,
	[remcmun] [char](7) NULL,
	[remxmun] [varchar](60) NULL,
	[remcep] [char](8) NULL,
	[remuf] [char](2) NULL,
	[remcpais] [char](4) NULL,
	[remxpais] [varchar](60) NULL,
	[remloccoletacnpj] [char](14) NULL,
	[remloccoletacpf] [char](11) NULL,
	[remloccoletaxnome] [varchar](60) NULL,
	[remloccoletaxlgr] [varchar](60) NULL,
	[remloccoletanro] [varchar](60) NULL,
	[remloccoletaxcpl] [varchar](60) NULL,
	[remloccoletaxbairro] [varchar](60) NULL,
	[remloccoletacmun] [char](7) NULL,
	[remloccoletaxmun] [varchar](60) NULL,
	[remloccoletauf] [char](2) NULL,
	[expedcnpj] [char](14) NULL,
	[expedcpf] [char](11) NULL,
	[expedie] [varchar](14) NULL,
	[expedxnome] [varchar](60) NULL,
	[expedfone] [varchar](12) NULL,
	[expedemail] [varchar](60) NULL,
	[expedxlgr] [varchar](60) NULL,
	[expednro] [varchar](60) NULL,
	[expedxcpl] [varchar](60) NULL,
	[expedxbairro] [varchar](60) NULL,
	[expedcmun] [char](7) NULL,
	[expedxmun] [varchar](60) NULL,
	[expedcep] [char](8) NULL,
	[expeduf] [char](2) NULL,
	[expedcpais] [char](4) NULL,
	[expedxpais] [varchar](60) NULL,
	[recebcnpj] [char](14) NULL,
	[recebcpf] [char](11) NULL,
	[recebie] [varchar](14) NULL,
	[recebxnome] [varchar](60) NULL,
	[recebfone] [varchar](12) NULL,
	[recebemail] [varchar](60) NULL,
	[recebxlgr] [varchar](60) NULL,
	[recebnro] [varchar](60) NULL,
	[recebxcpl] [varchar](60) NULL,
	[recebxbairro] [varchar](60) NULL,
	[recebcmun] [char](7) NULL,
	[recebxmun] [varchar](60) NULL,
	[recebcep] [char](8) NULL,
	[recebuf] [char](2) NULL,
	[recebcpais] [char](4) NULL,
	[recebxpais] [varchar](60) NULL,
	[destcnpj] [char](14) NULL,
	[destcpf] [char](11) NULL,
	[destie] [varchar](14) NULL,
	[destxnome] [varchar](60) NULL,
	[destfone] [varchar](12) NULL,
	[destisuf] [char](2) NULL,
	[destemail] [varchar](60) NULL,
	[destxlgr] [varchar](60) NULL,
	[destnro] [varchar](60) NULL,
	[destxcpl] [varchar](60) NULL,
	[destxbairro] [varchar](60) NULL,
	[destcmun] [char](7) NULL,
	[destxmun] [varchar](60) NULL,
	[destcep] [char](8) NULL,
	[destuf] [char](2) NULL,
	[destcpais] [char](4) NULL,
	[destxpais] [varchar](60) NULL,
	[destlocentcnpj] [char](14) NULL,
	[destlocentcpf] [char](11) NULL,
	[destlocentxnome] [varchar](60) NULL,
	[destlocentxlgr] [varchar](60) NULL,
	[destlocentnro] [varchar](60) NULL,
	[destlocentxcpl] [varchar](60) NULL,
	[destlocentxbairro] [varchar](60) NULL,
	[destlocentcmun] [char](7) NULL,
	[destlocentxmun] [varchar](60) NULL,
	[destlocentuf] [char](2) NULL,
	[vprestvtprest] [decimal](15, 2) NOT NULL,
	[vprestvrec] [decimal](15, 2) NOT NULL,
	[impcst] [char](2) NULL,
	[impvbc] [decimal](15, 2) NULL,
	[impvbcstret] [decimal](15, 2) NULL,
	[impvbcoutrauf] [decimal](15, 2) NULL,
	[imppicms] [decimal](5, 2) NULL,
	[imppicmsstret] [decimal](5, 2) NULL,
	[imppicmsoutrauf] [decimal](5, 2) NULL,
	[impvicms] [decimal](15, 2) NULL,
	[impvicmsstret] [decimal](15, 2) NULL,
	[impvicmsoutrauf] [decimal](15, 2) NULL,
	[imppredbc] [decimal](5, 2) NULL,
	[imppredbcoutrauf] [decimal](5, 2) NULL,
	[impvcred] [decimal](15, 2) NULL,
	[impindsn] [bit] NULL,
	[impvtottrib] [decimal](15, 2) NULL,
	[impinfadfisco] [varchar](2000) NULL,
	[autxml] [varchar](3000) NULL,
	[impvbcuffim] [decimal](13, 2) NULL,
	[imppfcpuffim] [decimal](3, 2) NULL,
	[imppicmsuffim] [decimal](3, 2) NULL,
	[imppicmsinter] [decimal](3, 2) NULL,
	[imppicmsinterpart] [decimal](3, 2) NULL,
	[impvfcpuffim] [decimal](3, 2) NULL,
	[impvicmsuffim] [decimal](13, 2) NULL,
	[impvicmsufini] [decimal](13, 2) NULL,
	[impvicmsdeson] [decimal](13, 2) NULL,
	[impcbenef] [varchar](60) NULL,
	

	PRIMARY KEY CLUSTERED ([id_cte] ASC)
	
	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END
