SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_eventos](
	[id_evento] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[versaoevento] [varchar](5) NULL,
	[corgao] [char](2) NOT NULL,
	[tpamb] [int] NULL,
	[autorevento] [char](14) NOT NULL,
	[chcte] [char](44) NOT NULL,
	[dhevento] [datetime] NULL,
	[tpevento] [char](6) NOT NULL,
	[nseqevento] [char](2) NOT NULL,
	--Cancelamento de CT-e
	[cancnprot] [char](15) NULL,
	[cancxjust] [varchar](255) NULL,
	--Registro Multimodal
	[regmmodalxregistro] [varchar](1000) NULL,
	[regmmodalndoc] [varchar](43) NULL,
	-- EPEC
	[epecxjust] [varchar](255) NULL,
	[epecvicms] [decimal](15,2) NULL,
	[epecvtprest] [decimal](15,2) NULL,
	[epecvcarga] [decimal](15,2) NULL,
	[epectoma] [char](2) NULL,
	[epectomauf] [char](2) NULL,
	[epectomacpfcnpj] [varchar](14) NULL,
	[epectomaie] [varchar](14) NULL,
	[epecmodal] [int] NULL,
	[epecufini] [char](2) NULL,
	[epecuffim] [char](2) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_evento] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END