SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos_cce]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_eventos_cce](
	[id_evento_cce] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_evento] [decimal](19, 0) NOT NULL,
	[grupoalterado] [varchar](20) NOT NULL,
	[campoalterado] [varchar](20) NOT NULL,
	[valoralterado] [varchar](500) NOT NULL,
	[nroitemalterado] [varchar](2) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_evento_cce] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[eventos_cte_fk]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_eventos_cce]'))
ALTER TABLE [dbo].[oobj_cte_eventos_cce]  WITH CHECK ADD CONSTRAINT [eventos_cte_fk]
FOREIGN KEY([id_evento])
REFERENCES [dbo].[oobj_cte_eventos] ([id_evento])
GO
ALTER TABLE [dbo].[oobj_cte_eventos_cce] CHECK CONSTRAINT [eventos_cte_fk]