﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_doc_ant_ident]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_doc_ant_ident](
	[id_identdocant] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_docant] [decimal](19, 0) NOT NULL,
	[docpaptpdoc] [char](2) NULL,
	[docpapserie] [varchar](3) NULL,
	[docpapsubser] [varchar](2) NULL,
	[docpapndoc] [bigint] NULL,
	[docpapdemi] [datetime] NULL,
	[docelechave] [varchar](44) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_identdocant] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_infdoc_ant_this]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_doc_ant_ident]'))
ALTER TABLE [dbo].[oobj_cte_infcte_doc_ant_ident]  WITH CHECK ADD  CONSTRAINT [fk_infdoc_ant_this] FOREIGN KEY([id_docant])
REFERENCES [dbo].[oobj_cte_infcte_doc_ant] ([id_docant])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_doc_ant_ident] CHECK CONSTRAINT [fk_infdoc_ant_this]