﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_qtd_carga]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_qtd_carga](
	[id_infcarga] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[cunid] [char](2) NOT NULL,
	[tpmed] [varchar](20) NOT NULL,
	[qcarga] [decimal](15, 4) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_infcarga] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_qtd_carga_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_qtd_carga]'))
ALTER TABLE [dbo].[oobj_cte_infcte_qtd_carga]  WITH CHECK ADD  CONSTRAINT [fk_qtd_carga_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_qtd_carga] CHECK CONSTRAINT [fk_qtd_carga_infcte]