﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_veic]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_rodo_veic](
	[id_veic] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[veiccint] [varchar](10) NULL,
	[veicrenavam] [char](9) NOT NULL,
	[veicplaca] [varchar](7) NOT NULL,
	[veictara] [int] NOT NULL,
	[veiccapkg] [int] NOT NULL,
	[veiccapm3] [int] NOT NULL,
	[veictpprop] [char](1) NOT NULL,
	[veictpveic] [int] NOT NULL,
	[veictprod] [char](2) NOT NULL,
	[veictpcar] [char](2) NOT NULL,
	[veicuf] [char](2) NOT NULL,
	[propcpf] [char](11) NULL,
	[propcnpj] [char](14) NULL,
	[proprntrc] [char](8) NULL,
	[propxnome] [varchar](60) NULL,
	[propie] [varchar](14) NULL,
	[propuf] [char](2) NULL,
	[proptpprop] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[id_veic] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_rodo_veic_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_veic]'))
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_veic]  WITH CHECK ADD  CONSTRAINT [fk_rodo_veic_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_veic] CHECK CONSTRAINT [fk_rodo_veic_infcte]