﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_seg]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_seg](
	[id_seg] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[respseg] [int] NOT NULL,
	[xseg] [varchar](30) NULL,
	[napol] [varchar](20) NULL,
	[naver] [char](20) NULL,
	[vcarga] [decimal](15, 2) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_seg] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_seg_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_seg]'))
ALTER TABLE [dbo].[oobj_cte_infcte_seg]  WITH CHECK ADD  CONSTRAINT [fk_seg_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_seg] CHECK CONSTRAINT [fk_seg_infcte]