﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_veicnovos]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_veicnovos](
	[id_veic] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[chassi] [char](17) NOT NULL,
	[ccor] [varchar](4) NOT NULL,
	[xcor] [varchar](40) NOT NULL,
	[cmod] [varchar](6) NOT NULL,
	[vunit] [decimal](15, 2) NOT NULL,
	[vfrete] [decimal](15, 2) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_veic] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_veic_novo_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_veicnovos]'))
ALTER TABLE [dbo].[oobj_cte_infcte_veicnovos]  WITH CHECK ADD  CONSTRAINT [fk_veic_novo_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_veicnovos] CHECK CONSTRAINT [fk_veic_novo_infcte]