﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc_inf_df]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infdoc_inf_df](
	[id_infdf] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infdoc] [decimal](19, 0) NOT NULL,
	-- infNF
	[nroma] [varchar](20) NULL,
	[nped] [varchar](20) NULL,
	[mod] [char](2) NULL,
	[serie] [varchar](3) NULL,
	[vbc] [decimal](15, 2) NULL,
	[vicms] [decimal](15, 2) NULL,
	[vbcst] [decimal](15, 2) NULL,
	[vst] [decimal](15, 2) NULL,
	[vprod] [decimal](15, 2) NULL,
	[vnf] [decimal](15, 2) NULL,
	[ncfop] [char](4) NULL,
	[npeso] [decimal](15, 3) NULL,
	-- infNFe
	[chave] [char](44) NULL,
	-- infOutros
	[tpdoc] [char](3) NULL,
	[descoutros] [char](100) NULL,
	[vdocfisc] [decimal](15, 2) NULL,
	-- Informações em comum aos 3 tipos de DF
	[ndoc] [varchar](20) NULL,
	[demi] [datetime] NULL,
	[pin] [varchar](9) NULL,
	[dprev] [datetime] NULL,
PRIMARY KEY CLUSTERED 
(
	[id_infdf] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_infdo_cant_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc_inf_df]'))
ALTER TABLE [dbo].[oobj_cte_infdoc_inf_df]  WITH CHECK ADD  CONSTRAINT [fk_infdo_cant_infcte] FOREIGN KEY([id_infdoc])
REFERENCES [dbo].[oobj_cte_infdoc] ([id_infdoc])
GO
ALTER TABLE [dbo].[oobj_cte_infdoc_inf_df] CHECK CONSTRAINT [fk_infdo_cant_infcte]