﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_ret_inut]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_ret_inut](
	[id_ret_inut] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[nprot] [decimal](19, 0) NULL,
	[xmotivo] [varchar](2048) NOT NULL,
	[cStat] [int] NOT NULL,
	[dhrecbto] [datetime] NULL,
	[dhretorno] [datetime] NOT NULL,
	[id_inut] [decimal](19, 0) NOT NULL,

	PRIMARY KEY CLUSTERED ([id_ret_inut] ASC)

	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (
	SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_ret_inut]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_ret_inut]')
)
ALTER TABLE [dbo].[oobj_cte_ret_inut]
WITH CHECK ADD  CONSTRAINT [fk_ret_inut] FOREIGN KEY([id_inut])
REFERENCES [dbo].[oobj_cte_inutilizacao] ([id_inut])

GO
ALTER TABLE [dbo].[oobj_cte_ret_inut] CHECK CONSTRAINT [fk_ret_inut]