﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno_eventos]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_retorno_eventos](
	[id_ret_evento] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_evento] [decimal](19, 0) NOT NULL,
	[tpamb] [int] NOT NULL,
	[veraplic] [varchar](20) NULL,
	[corgao] [char](2) NOT NULL,
	[cstat] [int] NOT NULL,
	[xmotivo] [varchar](2048) NOT NULL,
	[chcte] [char](44) NULL,
	[tpevento] [char](6) NULL,
	[xevento] [varchar](60) NULL,
	[nseqevento] [char](2) NULL,
	[dhregevento] [datetime] NULL,
	[nprot] [decimal](19, 0) NULL,
	[dhretorno] [datetime] NOT NULL,	

	PRIMARY KEY CLUSTERED ([id_ret_evento] ASC)

	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (
	SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_ret_eventos]')
	AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_retorno_eventos]')
) ALTER TABLE [dbo].[oobj_cte_retorno_eventos]
WITH CHECK ADD CONSTRAINT [fk_ret_eventos]
FOREIGN KEY([id_evento]) REFERENCES [dbo].[oobj_cte_eventos] ([id_evento])

GO
ALTER TABLE [dbo].[oobj_cte_retorno_eventos] CHECK CONSTRAINT [fk_ret_eventos]