SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_vprest_comp]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_vprest_comp](
	[id_comp] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_cte] [decimal](19, 0) NOT NULL,
	[xnome] [varchar](15) NOT NULL,
	[vcomp] [decimal](19,2) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_comp] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_prest_comp_envio]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_vprest_comp]'))
ALTER TABLE [dbo].[oobj_cte_vprest_comp]  WITH CHECK ADD  CONSTRAINT [fk_prest_comp_envio] FOREIGN KEY([id_cte])
REFERENCES [dbo].[oobj_cte_envio] ([id_cte])
GO
ALTER TABLE [dbo].[oobj_cte_vprest_comp] CHECK CONSTRAINT [fk_prest_comp_envio]