--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_INFCTE
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" 
   (	"ID_INFCTE" NUMBER(19,0), 
	"ID_CTE" NUMBER(19,0), 
	"CTENORMCARGAVCARGA" NUMBER(17,3), 
	"CTENORMCARGAPROPRED" VARCHAR2(60 CHAR), 
	"CTENORMCARGAXOUTCAT" VARCHAR2(30 CHAR), 
	"AERONMINU" NUMBER(19,0), 
	"AERONOCA" NUMBER(19,0), 
	"AERODPREV" TIMESTAMP (6), 
	"AEROXLAGEMI" VARCHAR2(20 BYTE), 
	"AEROIDT" VARCHAR2(20 BYTE), 
	"AEROTARIFACL" CHAR(1 CHAR), 
	"AEROTARIFACTAR" VARCHAR2(2 CHAR), 
	"AEROTARIFAVTAR" NUMBER(17,3), 
	"AERONATCARGAXDIME" VARCHAR2(20 BYTE), 
	"AERONATCARGACINFMANU" VARCHAR2(2000 CHAR), 
	"AERONATCARGACIMP" VARCHAR2(2000 CHAR), 
	"AQUAVVPREST" NUMBER(17,3), 
	"AQUAVVAFRMM" VARCHAR2(200 CHAR), 
	"AQUAVNBOOKING" VARCHAR2(10 CHAR), 
	"AQUAVNCTRL" VARCHAR2(10 BYTE), 
	"AQUAVXNAVIO" VARCHAR2(60 CHAR), 
	"AQUAVXBALSA" VARCHAR2(190 CHAR), 
	"AQUAVNVIAG" NUMBER(19,0), 
	"AQUAVDIREC" CHAR(1 CHAR), 
	"AQUAVPRTEMB" VARCHAR2(60 CHAR), 
	"AQUAVPRTTRANS" VARCHAR2(60 CHAR), 
	"AQUAVPRTDEST" VARCHAR2(60 CHAR), 
	"AQUAVTPNAV" NUMBER(5,0), 
	"AQUAVIRIN" VARCHAR2(10 CHAR), 
	"DUTOVTAR" NUMBER(17,3), 
	"DUTODINI" TIMESTAMP (6), 
	"DUTODFIM" TIMESTAMP (6), 
	"FERROVTPTRAF" NUMBER(5,0), 
	"FERROVTRAFMUTRESPFAT" NUMBER(5,0), 
	"FERROVTRAFMUTFERREMI" NUMBER(5,0), 
	"FERROVFLUXO" VARCHAR2(10 CHAR), 
	"FERROVIDTREM" VARCHAR2(10 CHAR), 
	"FERROVVFRETE" NUMBER(17,3), 
	"RODORNTRC" VARCHAR2(20 CHAR), 
	"RODODPREV" TIMESTAMP (6), 
	"RODOLOTA" NUMBER(5,0), 
	"RODOCIOT" NUMBER(19,0), 
	"RODOLACRE" VARCHAR2(2000 CHAR), 
	"MULTIMODALCOTM" VARCHAR2(200 CHAR), 
	"MULTIMODALINDNEGOCIAVEL" NUMBER(5,0), 
	"FATNFAT" VARCHAR2(60 CHAR), 
	"FATVORIG" NUMBER(17,3), 
	"FATVDESC" NUMBER(17,3), 
	"FATVLIQ" NUMBER(17,3), 
	"INFCTESUBCHCTE" VARCHAR2(44 CHAR), 
	"INFCTESUBREFNFE" VARCHAR2(44 CHAR), 
	"INFCTESUBREFNFCNPJ" VARCHAR2(14 CHAR), 
	"INFCTESUBREFNFMOD" VARCHAR2(10 CHAR), 
	"INFCTESUBREFNFSERIE" NUMBER(5,0), 
	"INFCTESUBREFNFSUBSERIE" NUMBER(5,0), 
	"INFCTESUBREFNFNRO" NUMBER(10,0), 
	"INFCTESUBREFNFVALOR" NUMBER(17,3), 
	"INFCTESUBREFNFDEMI" TIMESTAMP (6), 
	"INFCTESUBREFCTE" VARCHAR2(44 CHAR), 
	"INFCTESUBREFCTEANU" VARCHAR2(44 CHAR), 
	"CTECOMPCHAVE" VARCHAR2(44 CHAR), 
	"CTEANUCHAVECTE" VARCHAR2(44 CHAR), 
	"CTEANUDEMI" TIMESTAMP (6), 
	"STATUS_EXTRAIDO" NUMBER(1,0) DEFAULT 0,
	"INFCTESUBINDALTERATOMA" NUMBER(1,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_INFCTE_IX_ID_CTE
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_INFCTE_IX_ID_CTE" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_CTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_INFCTE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ("ID_INFCTE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_INFCTE
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ADD CONSTRAINT "OOBJ_CTE_INFCTE_PK" PRIMARY KEY ("ID_INFCTE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" MODIFY ("ID_CTE" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" MODIFY ("ID_INFCTE" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_INFCTE
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_INFCTE" ADD CONSTRAINT "OOBJ_CTE_ENVIO_FK" FOREIGN KEY ("ID_INFCTE")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_ENVIO" ("ID_CTE") ENABLE;
