--------------------------------------------------------
--  Arquivo criado - Tera-feira-Setembro-16-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_EVENTOS_CCE
--------------------------------------------------------

  CREATE TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" 
   (	"ID_EVENTO_CCE" NUMBER(19,0), 
	"ID_EVENTO" NUMBER(19,0), 
	"GRUPOALTERADO" VARCHAR2(1000 CHAR), 
	"CAMPOALTERADO" VARCHAR2(1000 CHAR), 
	"VALORALTERADO" VARCHAR2(1000 CHAR), 
	"NROITEMALTERADO" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index OOBJ_CTE_EVENTOS_CCE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" ("ID_EVENTO_CCE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CTE_EVENTOS_CCE_IX_EVENTO_PK
--------------------------------------------------------

  CREATE INDEX "OOBJ_POSPROCESSADOR_TESTE"."CTE_EVENTOS_CCE_IX_EVENTO_PK" ON "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" ("ID_EVENTO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_EVENTOS_CCE
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" ADD CONSTRAINT "OOBJ_CTE_EVENTOS_CCE_PK" PRIMARY KEY ("ID_EVENTO_CCE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" MODIFY ("ID_EVENTO" NOT NULL ENABLE);
  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" MODIFY ("ID_EVENTO_CCE" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table OOBJ_CTE_EVENTOS_CCE
--------------------------------------------------------

  ALTER TABLE "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS_CCE" ADD CONSTRAINT "OOBJ_CTE_EVENTOS_CCE_OOBJ_FK1" FOREIGN KEY ("ID_EVENTO")
	  REFERENCES "OOBJ_POSPROCESSADOR_TESTE"."OOBJ_CTE_EVENTOS" ("ID_EVENTO") ENABLE;
