--------------------------------------------------------
--  Arquivo criado - Quinta-feira-Setembro-11-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table OOBJ_CTE_RETORNO
--------------------------------------------------------

  CREATE TABLE "DBO"."OOBJ_CTE_RETORNO" 
   (	"ID_RETORNO" NUMBER(19,0), 
	"NPROT" NUMBER(19,0), 
	"XMOTIVO" VARCHAR2(2048 CHAR), 
	"CSTAT" NUMBER(10,0), 
	"DIGVAL" VARCHAR2(255 CHAR), 
	"ID_CTE" NUMBER(19,0), 
	"NCT" NUMBER(10,0), 
	"SERIE" NUMBER(10,0), 
	"CUF" NUMBER(10,0), 
	"CHCTE" VARCHAR2(44 CHAR), 
	"DHRECBTO" TIMESTAMP (6), 
	"DHRETORNO" TIMESTAMP (6), 
	"XML_PROC" CLOB
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" 
 LOB ("XML_PROC") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Index SYS_C009961
--------------------------------------------------------

  CREATE UNIQUE INDEX "DBO"."SYS_C009961" ON "DBO"."OOBJ_CTE_RETORNO" ("ID_RETORNO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table OOBJ_CTE_RETORNO
--------------------------------------------------------

  ALTER TABLE "DBO"."OOBJ_CTE_RETORNO" ADD PRIMARY KEY ("ID_RETORNO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "DBO"."OOBJ_CTE_RETORNO" MODIFY ("DHRETORNO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RETORNO" MODIFY ("CSTAT" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RETORNO" MODIFY ("XMOTIVO" NOT NULL ENABLE);
  ALTER TABLE "DBO"."OOBJ_CTE_RETORNO" MODIFY ("ID_RETORNO" NOT NULL ENABLE);
