CREATE SEQUENCE SEQ_ID_CTE_INFCTE_AQUA_DET
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE SEQ_ID_CTE_INFCTE_AQUA_DET
  OWNER TO postgres;

CREATE TABLE OOBJ_CTE_INFCTE_AQUA_DET (
    id_det_cont BIGINT NOT NULL DEFAULT nextval('SEQ_ID_CTE_INFCTE_AQUA_DET'::regclass),    -- Chave primria desta tabela
	id_infcte BIGINT NOT NULL, -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	nCont SMALLINT,			-- Identificao do container
	nLacre VARCHAR(256),     -- Nmeros dos lacres separados por ; ou ,
    
  	CONSTRAINT oobj_cte_inf_aquav_det_pkey PRIMARY KEY (id_det_cont),
	CONSTRAINT oobj_cte_infcte_fk FOREIGN KEY (id_infcte)
		REFERENCES oobj_cte_infcte (id_infcte)
		MATCH SIMPLE
		ON UPDATE NO ACTION
		ON DELETE NO ACTION
);

ALTER TABLE OOBJ_CTE_INFCTE_AQUA_DET OWNER TO postgres;

CREATE INDEX CTE_INFCTE_AQUA_DET_IX_ID_IFCT
ON OOBJ_CTE_INFCTE_AQUA_DET
USING btree
(id_infcte);