﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_doc_ant]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_doc_ant](
	[id_docant] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[docantcnpj] [varchar](14) NULL,
	[docantcpf] [varchar](11) NULL,
	[docantie] [varchar](20) NULL,
	[docantuf] [char](2) NULL,
	[docantxnome] [varchar](255) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_docant] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_infdoc_ant_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_doc_ant]'))
ALTER TABLE [dbo].[oobj_cte_infcte_doc_ant]  WITH CHECK ADD  CONSTRAINT [fk_infdoc_ant_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_doc_ant] CHECK CONSTRAINT [fk_infdoc_ant_infcte]