﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_ferrov_detvag]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_ferrov_detvag](
	[id_detvag] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_ferenv] [decimal](19, 0) NOT NULL,
	[nvag] [char](8) NOT NULL,
	[cap] [decimal](5, 2) NULL,
	[tpvag] [char](3) NULL,
	[pesor] [decimal](5, 2) NOT NULL,
	[pesobc] [decimal](5, 2) NOT NULL,
	[nlacre] [varchar](5000) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_detvag] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_detvag_ferrovenv]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_ferrov_detvag]'))
ALTER TABLE [dbo].[oobj_cte_infcte_ferrov_detvag]  WITH CHECK ADD  CONSTRAINT [fk_detvag_ferrovenv] FOREIGN KEY([id_ferenv])
REFERENCES [dbo].[oobj_cte_infcte_ferrov_ferroenv] ([id_ferenv])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_ferrov_detvag] CHECK CONSTRAINT [fk_detvag_ferrovenv]