﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_ferrov_ferroenv]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_ferrov_ferroenv](
	[id_ferenv] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[ferrovenvcnpj] [char](14) NOT NULL,
	[ferrovenvcint] [varchar](10) NULL,
	[ferrovenvie] [varchar](14) NULL,
	[ferrovenvxnome] [varchar](60) NOT NULL,
	[ferrovenvxlgr] [varchar](255) NOT NULL,
	[ferrovenvnro] [varchar](60) NULL,
	[ferrovenvxcpl] [varchar](60) NULL,
	[ferrovenvxbairro] [varchar](60) NULL,
	[ferrovenvcmun] [char](7) NOT NULL,
	[ferrovenvxmun] [varchar](30) NOT NULL,
	[ferrovenvcep] [char](8) NOT NULL,
	[ferrovenvuf] [char](2) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_ferenv] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_ferrov_env_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_ferrov_ferroenv]'))
ALTER TABLE [dbo].[oobj_cte_infcte_ferrov_ferroenv]  WITH CHECK ADD  CONSTRAINT [fk_ferrov_env_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_ferrov_ferroenv] CHECK CONSTRAINT [fk_ferrov_env_infcte]