﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_peri]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_peri](
	[id_peri] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[nonu] [varchar](4) NOT NULL,
	[xnomeae] [varchar](150) NOT NULL,
	[xclarisco] [varchar](40) NULL,
	[gremb] [varchar](6) NULL,
	[qtotprod] [varchar](20) NOT NULL,
	[qvoltipo] [varchar](60) NULL,
	[pontofulgor] [varchar](6) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_peri] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_peri_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_peri]'))
ALTER TABLE [dbo].[oobj_cte_infcte_peri]  WITH CHECK ADD  CONSTRAINT [fk_peri_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_peri] CHECK CONSTRAINT [fk_peri_infcte]