﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_occ]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_rodo_occ](
	[id_occ] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[serie] [varchar](3) NULL,
	[nocc] [int] NOT NULL,
	[demi] [datetime] NOT NULL,
	[cnpj] [varchar](14) NOT NULL,
	[cint] [varchar](10) NULL,
	[ie] [varchar](14) NOT NULL,
	[uf] [char](2) NOT NULL,
	[fone] [varchar](12) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_occ] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_rodo_occ_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_occ]'))
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_occ]  WITH CHECK ADD  CONSTRAINT [fk_rodo_occ_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_occ] CHECK CONSTRAINT [fk_rodo_occ_infcte]