﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_valeped]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infcte_rodo_valeped](
	[id_val] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[cnpjforn] [varchar](14) NOT NULL,
	[ncompra] [varchar](255) NOT NULL,
	[cnpjpg] [varchar](14) NULL,
PRIMARY KEY CLUSTERED 
(
	[id_val] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[fk_rodo_valeped_infcte]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infcte_rodo_valeped]'))
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_valeped]  WITH CHECK ADD  CONSTRAINT [fk_rodo_valeped_infcte] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infcte_rodo_valeped] CHECK CONSTRAINT [fk_rodo_valeped_infcte]