﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_infdoc](
	[id_infdoc] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[id_infcte] [decimal](19, 0) NOT NULL,
	[tipo] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[id_infdoc] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[infdoc_infcte_fk]') AND parent_object_id = OBJECT_ID(N'[dbo].[oobj_cte_infdoc]'))
ALTER TABLE [dbo].[oobj_cte_infdoc]  WITH CHECK ADD  CONSTRAINT [infdoc_infcte_fk] FOREIGN KEY([id_infcte])
REFERENCES [dbo].[oobj_cte_infcte] ([id_infcte])
GO
ALTER TABLE [dbo].[oobj_cte_infdoc] CHECK CONSTRAINT [infdoc_infcte_fk]