﻿SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[oobj_cte_inutilizacao]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[oobj_cte_inutilizacao](
	[id_inut] [decimal](19, 0) IDENTITY(1,1) NOT NULL,
	[tpamb] [char](1) NULL,
	[cuf] [int] NOT NULL,
	[ano] [int] NOT NULL,
	[cnpj] [char](14) NOT NULL,
	[mod] [char](2) NULL,
	[serie] [int] NOT NULL,
	[nctini] [int] NOT NULL,
	[nctfin] [int] NOT NULL,
	[xjust] [varchar](255) NOT NULL,

	PRIMARY KEY CLUSTERED ([id_inut] ASC)

	WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]
END